indexing

   title:       "Picture element for FORMAT_TABLE class";
   cluster:     "format/commerce [format/commerce]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Andy Malakov  (andy@eiffel.ru) and";
   original:    08,Sep,1995;
   version:     1.0;
   last_change: 14,Sep,1995;
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "fmt_el_p.e"

class PICTURE_FORMATTER
   inherit
      FORMAT_TABLE_ELEMENT
         rename
            make as fmt_el_make
         end

   creation make

   feature

      pattern : STRING

      ----------------------------------------------------------------
      make ( a_pattern : STRING;
             a_sample : ANY;
             a_fmt : ABSTRACT_COMMERCIAL_FORMATTER;
             a_default_format : STRING;
           ) is
         require
            Void_pattern : a_pattern /= Void
         do
            fmt_el_make ( a_sample, a_fmt, a_default_format )
            pattern := a_pattern
         end

end -- class PICTURE_FORMATTER
